#include "button.h"

button::button(QPixmap pixmap, int type)
{
    setPixmap(pixmap);
    buttonType = type;
}

button::~button()
{

}

int button::getButtonType()
{
    return buttonType;
}

void button::mousePressEvent(QGraphicsSceneMouseEvent *event)
{
    if(event->button()==Qt::LeftButton) emit buttonPressed();
}
